%define name	graveman
%define version 0.3.12
%define realver %version-5
%define release %mkrel 9

Name: 	 	%{name}
Summary: 	Simple frontend for CD creation
Summary(de):	Einfaches Frontend für die CD-Erstellung
Version: 	%{version}
Release: 	%{release}

Source:		http://graveman.tuxfamily.org/sources/%{name}-%{realver}.tar.xz
Patch: 		graveman-0.3.12-5-cdrkit.patch
URL:		http://graveman.tuxfamily.org/index-e.php
License:	GPL
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	gtk2-devel libglade2.0-devel libid3tag-devel
BuildRequires:	libvorbis-devel libmad-devel
BuildRequires:	libflac-devel
BuildRequires:	libmng-devel
BuildRequires:	perl-XML-Parser
BuildRequires: desktop-file-utils
Requires:	cdrkit cdrkit-genisoimage sox dvd+rw-tools sox cdrdao

%description
Another frontend for cdrecord, mkisofs, readcd and sox!
With graveman you can burn audio cds (wav, ogg, mp3), data cds,
and duplicate cds.

%description -l de
Ein weiteres Frontend für cdrecord, mkisofs, readcd und sox!
Mit graveman können Sie Audio-CDs brennen (wav, ogg, mp3), 
Daten-CDs,und doppelte CDs. 

%prep
%setup -q -n %name-%realver

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_mandir/man1
cp man/%name.man %buildroot/%_mandir/man1/%name.1
bzip2 %buildroot/%_mandir/man1/%name.1
mkdir -p %buildroot/%_mandir/fr/man1
cp man/%name.fr.man %buildroot/%_mandir/fr/man1/%name.1
bzip2 %buildroot/%_mandir/fr/man1/%name.1
perl -p -i -e 's/install\:/none\:/g' man/Makefile
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-CDBurning" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/graver.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/graver.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/graver.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS THANKS README*
%{_bindir}/%name
%{_datadir}/applications/*
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_mandir}/fr/man1/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Sat Nov 06 2010 leiche <meisssw01 at aol.com> 0.3.12-8pclos2010
- rebuild
- add german synaptic description
- convert archive to tar.xz
 
* Fri Apr 27 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.12-8
- Rebuild against flac-1.1.4
- replace remaining strings with their cdrkit versions
- patch for cdrkit

* Fri Dec 15 2006 Texstar <texstar@houston.rr.com> 0.3.12-7pclos2007
- Build for PCLinuxOS 2007

